Grants, vesting & distributions

Org List Grants

Lists non-SCP grants (optionally by IDs) with configuration name, safe wallet IDs and recipient.

POSThttps://api.toku.com/tga/org-list-grants

Not available to API keys.

curl --request POST \
  --url 'https://api.toku.com/tga/org-list-grants' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "orgID": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "grantIDs": [
    "3fa85f64-5717-4562-b3fc-2c963f66afa6"
  ]
}'
200 response
[
  {
    "grantID": "string",
    "grantName": "string",
    "grantAmount": 0,
    "grantConfigurationName": "string",
    "walletAddresses": [
      "string"
    ],
    "recipient": "string"
  }
]

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Body

application/json

orgIDstring<uuid>
grantIDsstring<uuid>[]

Allowed: at most 500 items

Response

200Successful response
grantIDstringrequired
grantNamestringrequired
grantAmountnumberrequired
grantConfigurationNamestringrequired
walletAddressesstring[]required
recipientstring
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits